## i7z 0.27.2

=== GUI/Makefile ===
#############################################################################
# Makefile for building: i7z_GUI
# Generated by qmake (2.01a) (Qt 4.7.4) on: Mon Mar 12 16:54:28 2012
# Project:  i7z_GUI.pro
# Template: app
# Command: /usr/bin/qmake -o Makefile i7z_GUI.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -m64 -pipe -v -fno-schedule-insns2 -fno-schedule-insns -fno-inline-small-functions -fno-caller-saves -g -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -m64 -pipe -v -fno-schedule-insns2 -fno-schedule-insns -fno-inline-small-functions -fno-caller-saves -g -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++-64 -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4 -I. -I.
LINK          = g++
LFLAGS        = -m64
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtGui -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = i7z_GUI.cpp 
OBJECTS       = i7z_GUI.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		i7z_GUI.pro
QMAKE_TARGET  = i7z_GUI
DESTDIR       = 
TARGET        = i7z_GUI

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: i7z_GUI.pro  /usr/share/qt4/mkspecs/linux-g++-64/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -o Makefile i7z_GUI.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/debug.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile i7z_GUI.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/i7z_GUI1.0.0 || $(MKDIR) .tmp/i7z_GUI1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/i7z_GUI1.0.0/ && $(COPY_FILE) --parents i7z_GUI.cpp .tmp/i7z_GUI1.0.0/ && (cd `dirname .tmp/i7z_GUI1.0.0` && $(TAR) i7z_GUI1.0.0.tar i7z_GUI1.0.0 && $(COMPRESS) i7z_GUI1.0.0.tar) && $(MOVE) `dirname .tmp/i7z_GUI1.0.0`/i7z_GUI1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/i7z_GUI1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all:
compiler_moc_header_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all: i7z_GUI.moc
compiler_moc_source_clean:
	-$(DEL_FILE) i7z_GUI.moc
i7z_GUI.moc: ../helper_functions.c \
		../i7z.h \
		i7z_GUI.cpp
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) i7z_GUI.cpp -o i7z_GUI.moc

compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_source_clean 

####### Compile

i7z_GUI.o: i7z_GUI.cpp ../helper_functions.c \
		../i7z.h \
		i7z_GUI.moc
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o i7z_GUI.o i7z_GUI.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== debian/changelog ===
i7z (0.27.2-2ubuntu1) saucy; urgency=low

  * Merge from debian unstable. Remaining changes:
    - debian/control: Future-proof by adding x32 to the architecture list

 -- Jackson Doak <noskcaj@ubuntu.com>  Thu, 15 Aug 2013 07:44:30 +1000

i7z (0.27.2-2) unstable; urgency=low

  * Use canonical Vcs-* URLs.
  * hyphen-used-as-minus-sign.patch: New. Fix manpage.
  * fix-insecure-tempfile.patch: New. Fix insecure usage of /tmp/cpufreq.txt.
    Use popen() instead of a temporary file.  (Closes: #718418)

 -- Andreas Beckmann <anbe@debian.org>  Thu, 01 Aug 2013 03:16:07 +0200

i7z (0.27.2-1ubuntu1) saucy; urgency=low

  * Future-proof by adding x32 to the architecture list.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 29 Apr 2013 09:37:19 -0600

i7z (0.27.2-1) unstable; urgency=low

  * Initial release (Closes: #703060)

 -- Andreas Beckmann <anbe@debian.org>  Sat, 16 Mar 2013 21:16:14 +0100

=== debian/control ===
Source: i7z
Section: admin
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Andreas Beckmann <anbe@debian.org>
Build-Depends: debhelper (>= 9),
 libncurses5-dev,
 libqt4-dev,
 gdb,
Standards-Version: 3.9.4
Homepage: http://code.google.com/p/i7z/
Vcs-Git: git://anonscm.debian.org/collab-maint/i7z.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/i7z.git;a=summary

Package: i7z
Architecture: amd64 i386 x32
Depends: msr-tools, ruby | ruby-interpreter, ${shlibs:Depends}, ${misc:Depends}
Description: reporting tool for i7, i5, i3 CPUs
 i7z reports Intel Core i7, i5, i3 CPU information about Turbo Boost,
 frequencies, multipliers, ... and comes top-like display showing per core the
 current frequency, temperature and times spent in the C0/C1/C3/C6/C7 states.
 .
 There is also an i7z_rw_registers script that allows toggling Turbo mode
 or set multipliers.

Package: i7z-gui
Architecture: amd64 i386 x32
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GUI for i7z, a reporting tool for i7, i5, i3 CPUs
 i7z reports Intel Core i7, i5, i3 CPU information about Turbo Boost,
 frequencies, multipliers, ... and comes top-like display showing per core the
 current frequency, temperature and times spent in the C0/C1/C3/C6/C7 states.
 .
 This package contains the QT gui for i7z.
 .
 Note: For sandybridge and ivybridge, it incorrectly adds C7 state values to
 the C0 state, so it does report things incorrectly; use the console version
 as its up to date.

=== debian/watch ===
version=3
http://code.google.com/p/i7z/downloads/list?can=1 .*/i7z-(\d[\d.]*)\.(?:zip|tgz|tbz2|txz|tar\.gz|tar\.bz2|tar\.xz)

## i7z 0.27.2%2Bgit2013.10.12-g5023138

=== debian/control ===
Source: i7z
Section: admin
Priority: optional
Maintainer: Andreas Beckmann <anbe@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 libncurses-dev,
 gdb,
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://github.com/ajaiantilal/i7z
Vcs-Browser: https://salsa.debian.org/debian/i7z
Vcs-Git: https://salsa.debian.org/debian/i7z.git

Package: i7z
Architecture: amd64 i386 x32
Depends: msr-tools, ruby | ruby-interpreter, ${shlibs:Depends}, ${misc:Depends}
Description: reporting tool for i7, i5, i3 CPUs
 i7z reports Intel Core i7, i5, i3 CPU information about Turbo Boost,
 frequencies, multipliers, ... and comes top-like display showing per core the
 current frequency, temperature and times spent in the C0/C1/C3/C6/C7 states.
 .
 There is also an i7z_rw_registers script that allows toggling Turbo mode
 or set multipliers.

## i7z 0.27.2+git2013.10.12

=== Makefile ===
#
# Makefile for i7z, GPL v2, License in COPYING
#

#makefile updated from patch by anestling

#explicitly disable two scheduling flags as they cause segfaults, two more seem to crash the GUI version so putting them
#here 
CFLAGS_FOR_AVOIDING_SEG_FAULT = -fno-schedule-insns2  -fno-schedule-insns -fno-inline-small-functions -fno-caller-saves
CFLAGS ?= -O3
CFLAGS += $(CFLAGS_FOR_AVOIDING_SEG_FAULT) -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -DBUILD_MAIN -Wimplicit-function-declaration

LBITS := $(shell getconf LONG_BIT)
ifeq ($(LBITS),64)
   CFLAGS += -Dx64_BIT
else
   CFLAGS += -Dx86
endif

CC       ?= gcc

LIBS  += -lncurses -lpthread -lrt -lm
INCLUDEFLAGS = 

BIN	= i7z
# PERFMON-BIN = perfmon-i7z #future version to include performance monitor, either standalone or integrated
SRC	= i7z.c helper_functions.c i7z_Single_Socket.c i7z_Dual_Socket.c
OBJ	= $(SRC:.c=.o)

prefix ?= /usr
sbindir = $(prefix)/sbin/
docdir = $(prefix)/share/doc/$(BIN)/
mandir ?= $(prefix)/share/man/

all: clean test_exist

message:
	@echo "If the compilation complains about not finding ncurses.h, install ncurses (libncurses5-dev on ubuntu/debian)"

bin: message $(OBJ)
	$(CC) $(CFLAGS) $(LDFLAGS) -o $(BIN) $(OBJ) $(LIBS)

#http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=644728 for -ltinfo on debian
static-bin: message $(OBJ)
	$(CC) $(CFLAGS) $(LDFLAGS) -o $(BIN) $(OBJ) -static-libgcc -DNCURSES_STATIC -static -lpthread -lncurses -lrt -lm -ltinfo

# perfmon-bin: message $(OBJ)
# 	$(CC) $(CFLAGS) $(LDFLAGS) -o $(PERFMON-BIN) perfmon-i7z.c helper_functions.c $(LIBS)

test_exist: bin
	@test -f i7z && echo 'Succeeded, now run sudo ./i7z' || echo 'Compilation failed'

clean:
	rm -f *.o $(BIN)

distclean: clean
	rm -f *~ \#*

install:  $(BIN)
	install -D -m 0644 doc/i7z.man $(DESTDIR)$(mandir)man1/i7z.1
	install -D -m 755 $(BIN) $(DESTDIR)$(sbindir)$(BIN)
	install -d $(DESTDIR)$(docdir)
	install -m 0644 README.txt put_cores_offline.sh put_cores_online.sh MAKEDEV-cpuid-msr $(DESTDIR)$(docdir)

=== perfmon-i7z/Makefile ===
#ident "$Id: Makefile,v 1.2 2004/07/20 15:54:59 hpa Exp $"
## -----------------------------------------------------------------------
##
##   Copyright 2000 Transmeta Corporation - All Rights Reserved
##
##   This program is free software; you can redistribute it and/or modify
##   it under the terms of the GNU General Public License as published by
##   the Free Software Foundation, Inc., 675 Mass Ave, Cambridge MA 02139,
##   USA; either version 2 of the License, or (at your option) any later
##   version; incorporated herein by reference.
##
## -----------------------------------------------------------------------

#
# Makefile for MSRs
#

#makefile updated from patch by anestling

CFLAGSANY = -g -O0 -fomit-frame-pointer -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -DBUILD_MAIN -Wall

LBITS := $(shell getconf LONG_BIT)
ifeq ($(LBITS),64)
   CFLAGS = $(CFLAGSANY) -Dx64_BIT
else
   CFLAGS = $(CFLAGSANY) -Dx86
endif

CC       = g++ 

LDFLAGS  = -lncurses -lpthread
INCLUDEFLAGS = 

OBJS = helper_functions

BIN	= perfmon-i7z
SRC	= perfmon-i7z.cpp helper_functions.cpp

sbindir = /usr/sbin

all: bin

bin:
	$(CC) $(CFLAGS) $(LDFLAGS) $(INCLUDEFLAGS) $(SRC) -o $(BIN)

debug:
	$(CC) $(CFLAGS) $(LDFLAGS) $(INCLUDEFLAGS) $(SRC) -o $(BIN) -g

clean:
	rm -f *.o *~ $(BIN)

distclean: clean
	rm -f *~ \#*

install: all
	install -m 755 $(BIN) $(sbindir)

## i7z 0.27.2+git2013.10.12-g5023138

=== debian/changelog ===
i7z (0.27.2+git2013.10.12-g5023138-3) unstable; urgency=medium

  * fix_cpuid_asm.patch: New, fix register corruption on amd64.
  * Switch homepage and watch file from google code to github.
  * Add README.Debian describing the required permissions.  (Closes: #811401)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 20 Jan 2016 16:11:08 +0100

i7z (0.27.2+git2013.10.12-g5023138-2) unstable; urgency=medium

  * Bump Standards-Version to 3.9.6 (no changes needed).
  * qmake-hardening.patch: Enable hardening flags for building the GUI.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 17 Oct 2014 21:30:24 +0200

i7z (0.27.2+git2013.10.12-g5023138-1) unstable; urgency=medium

  * New upstream GIT snapshot.
  * Bump Standards-Version to 3.9.5 (no changes needed).
  * use_stdbool.patch: Use <stdbool.h> to get a consistent bool definition.
    (Closes: #749724)

 -- Andreas Beckmann <anbe@debian.org>  Fri, 08 Aug 2014 20:01:20 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: i7z
 Section: admin
-Priority: optional
+Priority: extra
 Maintainer: Andreas Beckmann <anbe@debian.org>
-Build-Depends:
- debhelper-compat (= 12),
- libncurses-dev,
+Build-Depends: debhelper (>= 9),
+ libncurses5-dev,
+ libqt4-dev,
  gdb,
-Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 3.9.6
 Homepage: https://github.com/ajaiantilal/i7z
-Vcs-Browser: https://salsa.debian.org/debian/i7z
-Vcs-Git: https://salsa.debian.org/debian/i7z.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/i7z.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/i7z.git
 
 Package: i7z
 Architecture: amd64 i386 x32
@@ -22,3 +21,17 @@
  .
  There is also an i7z_rw_registers script that allows toggling Turbo mode
  or set multipliers.
+
+Package: i7z-gui
+Architecture: amd64 i386 x32
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: GUI for i7z, a reporting tool for i7, i5, i3 CPUs
+ i7z reports Intel Core i7, i5, i3 CPU information about Turbo Boost,
+ frequencies, multipliers, ... and comes top-like display showing per core the
+ current frequency, temperature and times spent in the C0/C1/C3/C6/C7 states.
+ .
+ This package contains the QT gui for i7z.
+ .
+ Note: For sandybridge and ivybridge, it incorrectly adds C7 state values to
+ the C0 state, so it does report things incorrectly; use the console version
+ as its up to date.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS


%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	cd GUI && qmake
	$(MAKE) -C GUI

override_dh_auto_clean:
	dh_auto_clean
	[ ! -f GUI/Makefile ] || $(MAKE) -C GUI clean mocclean
	$(RM) GUI/Makefile
